Skip to main content
GET
Search OSHA narratives

Authorizations

Authorization
string
header
required

Effective API key. Send Authorization: Bearer sk-eai-...

Query Parameters

query
string
required

Words to find, as in a web search: quotes for a phrase, - to exclude a word, or for either word.

Required string length: 2 - 300
employerId
string

Only this employer’s narratives.

Pattern: ^emp_[0-9a-f]{20}$
limit
integer
default:25

Maximum number of items to return (1-100).

Required range: 1 <= x <= 100
cursor
string

Opaque nextCursor from this operation. Repeat every other query parameter unchanged; a cursor from a different query returns invalid_cursor.

Required string length: 1 - 8192

Response

One page of matches.

results
object[]
required
nextCursor
string | null
required

Cursor for the next page, or null on the last page.